### Method

# Camel CertDB put

since: 3.6

#### Declaration [src]

    void
    camel_certdb_put (
      CamelCertDB* certdb,
      CamelCert* cert
    )

#### Description [src]

Puts a certificate to the database. In case there exists a certificate with the same hostname and fingerprint, then it is replaced. This adds its own reference on the `cert`.

Available since: 3.6

#### Parameters

`cert`

  Type: `CamelCert`

  A `CamelCert`.

  The data is owned by the caller of the method.